Skip to navigation

List send money approval requests

Retrieve a paginated list of send money approval requests for the authenticated organization. Supports filtering by account and status.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Query parameters

accountIdstringOptionalformat: "uuid"
statusenumOptional
Allowed values:
start_afterstringOptionalformat: "uuid"
end_beforestringOptionalformat: "uuid"
limitlongOptional1-1000Defaults to 1000

Response

pageobject
requestslist of objects

Errors

400
Bad Request Error